package com.persagy.bdtp.adm.config;

import org.springframework.boot.autoconfigure.AutoConfigureAfter;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.sql.DataSource;
import java.util.Map;

@Configuration
@AutoConfigureAfter({DataSourceAutoConfiguration.class})
public class TestConfig {

	@Bean
	public String test(ApplicationContext ctx){
		try {
			Map map = ctx.getBeansOfType(DataSource.class);
			System.out.println(map);
		} catch (Exception var4) {

		}
		return "";
	}

}
